Page MenuHomePhabricator

rsvg cannot handle classes/ids with cyrillic alphabet when styling
Open, LowPublic

Description

This file has two classes:

rect.группировка {
    stroke-width: 4;
    stroke-dasharray: 10, 10;
}

.стрелка {
   marker-end: url(#наконечник);
}

These classes are not applied to the rendering. If I rename the classes to use latin alphabet, then the image is rendered as expected.


Version: wmf-deployment
Severity: normal
URL: https://commons.wikimedia.org/wiki/File:Система_управления_КА.svg

Details

Reference
bz41422

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:46 AM
bzimport set Reference to bz41422.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ created this task.Oct 26 2012, 12:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2015, 6:51 AM
Ricordisamoa updated the task description. (Show Details)Dec 4 2015, 4:26 AM
Ricordisamoa set Security to None.
TheDJ added a comment.Jul 8 2016, 2:39 PM

Copy of the image that has this problem

AntiCompositeNumber raised the priority of this task from Low to Needs Triage.Oct 14 2020, 4:37 PM
AntiCompositeNumber triaged this task as Low priority.EditedOct 14 2020, 9:24 PM
AntiCompositeNumber moved this task from Backlog to Patch merged upstream on the Upstream board.

Fixed in librsvg 2.50.1 or earlier, not fixed in 2.44.10

Reedy changed the status of subtask T265549: Update librsvg to > 2.44.10 from Open to Stalled.Oct 15 2020, 12:52 AM